<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: MINI51 I/O routines</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">MINI51 I/O routines</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga371824fd5878ffb2f5e49373ba96b717"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga371824fd5878ffb2f5e49373ba96b717">M8</a>(addr)&#160;&#160;&#160;(*((<a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#gaecf7c4189e2bd5ee7ac61f5639b1327a">vu8</a>  *) (addr)))</td></tr>
<tr class="memdesc:ga371824fd5878ffb2f5e49373ba96b717"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a 8-bit unsigned value from specified address.  <a href="#ga371824fd5878ffb2f5e49373ba96b717">More...</a><br /></td></tr>
<tr class="separator:ga371824fd5878ffb2f5e49373ba96b717"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5421a39a0460ea2269ae45d3e9909991"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga5421a39a0460ea2269ae45d3e9909991">M16</a>(addr)&#160;&#160;&#160;(*((<a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga9e9f2c67df0bbcd2dd7753693525ee07">vu16</a> *) (addr)))</td></tr>
<tr class="memdesc:ga5421a39a0460ea2269ae45d3e9909991"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a 16-bit unsigned value from specified address.  <a href="#ga5421a39a0460ea2269ae45d3e9909991">More...</a><br /></td></tr>
<tr class="separator:ga5421a39a0460ea2269ae45d3e9909991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0a55084dbbf73364945c75f214d3ac8e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga0a55084dbbf73364945c75f214d3ac8e">M32</a>(addr)&#160;&#160;&#160;(*((<a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga6e2761f0a1011f84ed96b946f2c8a563">vu32</a> *) (addr)))</td></tr>
<tr class="memdesc:ga0a55084dbbf73364945c75f214d3ac8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a 32-bit unsigned value from specified address.  <a href="#ga0a55084dbbf73364945c75f214d3ac8e">More...</a><br /></td></tr>
<tr class="separator:ga0a55084dbbf73364945c75f214d3ac8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a7f814366c290429d1d8d89848335e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga1a7f814366c290429d1d8d89848335e4">outpw</a>(port,  <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>)&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned int *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td></tr>
<tr class="memdesc:ga1a7f814366c290429d1d8d89848335e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a 32-bit unsigned value to specified I/O port.  <a href="#ga1a7f814366c290429d1d8d89848335e4">More...</a><br /></td></tr>
<tr class="separator:ga1a7f814366c290429d1d8d89848335e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga71b02ca2239bebbd42d53d64f7c7b334"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga71b02ca2239bebbd42d53d64f7c7b334">inpw</a>(port)&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned int *)(port)))</td></tr>
<tr class="memdesc:ga71b02ca2239bebbd42d53d64f7c7b334"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a 32-bit unsigned value from specified I/O port.  <a href="#ga71b02ca2239bebbd42d53d64f7c7b334">More...</a><br /></td></tr>
<tr class="separator:ga71b02ca2239bebbd42d53d64f7c7b334"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7aecd53542aeebb08c0434c5aea82646"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga7aecd53542aeebb08c0434c5aea82646">outps</a>(port,  <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>)&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned short *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td></tr>
<tr class="memdesc:ga7aecd53542aeebb08c0434c5aea82646"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a 16-bit unsigned value to specified I/O port.  <a href="#ga7aecd53542aeebb08c0434c5aea82646">More...</a><br /></td></tr>
<tr class="separator:ga7aecd53542aeebb08c0434c5aea82646"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4846e416af3b9cec294469c7ac4d2e6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#gab4846e416af3b9cec294469c7ac4d2e6">inps</a>(port)&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned short *)(port)))</td></tr>
<tr class="memdesc:gab4846e416af3b9cec294469c7ac4d2e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a 16-bit unsigned value from specified I/O port.  <a href="#gab4846e416af3b9cec294469c7ac4d2e6">More...</a><br /></td></tr>
<tr class="separator:gab4846e416af3b9cec294469c7ac4d2e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaad38305f3ef75a65aa0605fd43126e6e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#gaad38305f3ef75a65aa0605fd43126e6e">outpb</a>(port,  <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>)&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned char *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td></tr>
<tr class="memdesc:gaad38305f3ef75a65aa0605fd43126e6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a 8-bit unsigned value to specified I/O port.  <a href="#gaad38305f3ef75a65aa0605fd43126e6e">More...</a><br /></td></tr>
<tr class="separator:gaad38305f3ef75a65aa0605fd43126e6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9feb8244483919c00a8cd001417471b3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga9feb8244483919c00a8cd001417471b3">inpb</a>(port)&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned char *)(port)))</td></tr>
<tr class="memdesc:ga9feb8244483919c00a8cd001417471b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a 8-bit unsigned value from specified I/O port.  <a href="#ga9feb8244483919c00a8cd001417471b3">More...</a><br /></td></tr>
<tr class="separator:ga9feb8244483919c00a8cd001417471b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ddcd6a63c1b6379d0c0419c465222aa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga9ddcd6a63c1b6379d0c0419c465222aa">outp32</a>(port,  <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>)&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned int *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td></tr>
<tr class="memdesc:ga9ddcd6a63c1b6379d0c0419c465222aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a 32-bit unsigned value to specified I/O port.  <a href="#ga9ddcd6a63c1b6379d0c0419c465222aa">More...</a><br /></td></tr>
<tr class="separator:ga9ddcd6a63c1b6379d0c0419c465222aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9165d95e45927e33912b3310f3153419"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga9165d95e45927e33912b3310f3153419">inp32</a>(port)&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned int *)(port)))</td></tr>
<tr class="memdesc:ga9165d95e45927e33912b3310f3153419"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a 32-bit unsigned value from specified I/O port.  <a href="#ga9165d95e45927e33912b3310f3153419">More...</a><br /></td></tr>
<tr class="separator:ga9165d95e45927e33912b3310f3153419"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga976c6d91f40eb1fb654483c585526b7d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga976c6d91f40eb1fb654483c585526b7d">outp16</a>(port,  <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>)&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned short *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td></tr>
<tr class="memdesc:ga976c6d91f40eb1fb654483c585526b7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a 16-bit unsigned value to specified I/O port.  <a href="#ga976c6d91f40eb1fb654483c585526b7d">More...</a><br /></td></tr>
<tr class="separator:ga976c6d91f40eb1fb654483c585526b7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad50a5a7ee7c2900e8d88180d4dfdeaea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#gad50a5a7ee7c2900e8d88180d4dfdeaea">inp16</a>(port)&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned short *)(port)))</td></tr>
<tr class="memdesc:gad50a5a7ee7c2900e8d88180d4dfdeaea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a 16-bit unsigned value from specified I/O port.  <a href="#gad50a5a7ee7c2900e8d88180d4dfdeaea">More...</a><br /></td></tr>
<tr class="separator:gad50a5a7ee7c2900e8d88180d4dfdeaea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4037acccb11264f556403d714b09f2a5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga4037acccb11264f556403d714b09f2a5">outp8</a>(port,  <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>)&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned char *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td></tr>
<tr class="memdesc:ga4037acccb11264f556403d714b09f2a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a 8-bit unsigned value to specified I/O port.  <a href="#ga4037acccb11264f556403d714b09f2a5">More...</a><br /></td></tr>
<tr class="separator:ga4037acccb11264f556403d714b09f2a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9bb51593ea4ba3818c07d34fbbe1de6b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga9bb51593ea4ba3818c07d34fbbe1de6b">inp8</a>(port)&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned char *)(port)))</td></tr>
<tr class="memdesc:ga9bb51593ea4ba3818c07d34fbbe1de6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a 8-bit unsigned value from specified I/O port.  <a href="#ga9bb51593ea4ba3818c07d34fbbe1de6b">More...</a><br /></td></tr>
<tr class="separator:ga9bb51593ea4ba3818c07d34fbbe1de6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gaecf7c4189e2bd5ee7ac61f5639b1327a"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#gaecf7c4189e2bd5ee7ac61f5639b1327a">vu8</a></td></tr>
<tr class="memdesc:gaecf7c4189e2bd5ee7ac61f5639b1327a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define 8-bit unsigned volatile data type.  <a href="#gaecf7c4189e2bd5ee7ac61f5639b1327a">More...</a><br /></td></tr>
<tr class="separator:gaecf7c4189e2bd5ee7ac61f5639b1327a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9e9f2c67df0bbcd2dd7753693525ee07"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga9e9f2c67df0bbcd2dd7753693525ee07">vu16</a></td></tr>
<tr class="memdesc:ga9e9f2c67df0bbcd2dd7753693525ee07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define 16-bit unsigned volatile data type.  <a href="#ga9e9f2c67df0bbcd2dd7753693525ee07">More...</a><br /></td></tr>
<tr class="separator:ga9e9f2c67df0bbcd2dd7753693525ee07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6e2761f0a1011f84ed96b946f2c8a563"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga6e2761f0a1011f84ed96b946f2c8a563">vu32</a></td></tr>
<tr class="memdesc:ga6e2761f0a1011f84ed96b946f2c8a563"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define 32-bit unsigned volatile data type.  <a href="#ga6e2761f0a1011f84ed96b946f2c8a563">More...</a><br /></td></tr>
<tr class="separator:ga6e2761f0a1011f84ed96b946f2c8a563"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The Declaration of MINI51 I/O routines </p>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gad50a5a7ee7c2900e8d88180d4dfdeaea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad50a5a7ee7c2900e8d88180d4dfdeaea">&#9670;&nbsp;</a></span>inp16</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define inp16</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port</td><td>)</td>
          <td>&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned short *)(port)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get a 16-bit unsigned value from specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to get 16-bit data from </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>16-bit unsigned value stored in specified I/O port </dd></dl>
<dl class="section note"><dt>Note</dt><dd>The input port must be 16-bit aligned </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l10064">10064</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga9165d95e45927e33912b3310f3153419"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9165d95e45927e33912b3310f3153419">&#9670;&nbsp;</a></span>inp32</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define inp32</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port</td><td>)</td>
          <td>&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned int *)(port)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get a 32-bit unsigned value from specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to get 32-bit data from </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>32-bit unsigned value stored in specified I/O port </dd></dl>
<dl class="section note"><dt>Note</dt><dd>The input port must be 32-bit aligned </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l10047">10047</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga9bb51593ea4ba3818c07d34fbbe1de6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9bb51593ea4ba3818c07d34fbbe1de6b">&#9670;&nbsp;</a></span>inp8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define inp8</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port</td><td>)</td>
          <td>&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned char *)(port)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get a 8-bit unsigned value from specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to get 8-bit data from </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>8-bit unsigned value stored in specified I/O port </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l10079">10079</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga9feb8244483919c00a8cd001417471b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9feb8244483919c00a8cd001417471b3">&#9670;&nbsp;</a></span>inpb</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define inpb</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port</td><td>)</td>
          <td>&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned char *)(port)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get a 8-bit unsigned value from specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to get 8-bit data from </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>8-bit unsigned value stored in specified I/O port </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l10030">10030</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gab4846e416af3b9cec294469c7ac4d2e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab4846e416af3b9cec294469c7ac4d2e6">&#9670;&nbsp;</a></span>inps</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define inps</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port</td><td>)</td>
          <td>&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned short *)(port)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get a 16-bit unsigned value from specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to get 16-bit data from </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>16-bit unsigned value stored in specified I/O port </dd></dl>
<dl class="section note"><dt>Note</dt><dd>The input port must be 16-bit aligned </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l10015">10015</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga71b02ca2239bebbd42d53d64f7c7b334"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga71b02ca2239bebbd42d53d64f7c7b334">&#9670;&nbsp;</a></span>inpw</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define inpw</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port</td><td>)</td>
          <td>&#160;&#160;&#160;(*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned int *)(port)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get a 32-bit unsigned value from specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to get 32-bit data from </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>32-bit unsigned value stored in specified I/O port </dd></dl>
<dl class="section note"><dt>Note</dt><dd>The input port must be 32-bit aligned </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l09998">9998</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga5421a39a0460ea2269ae45d3e9909991"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5421a39a0460ea2269ae45d3e9909991">&#9670;&nbsp;</a></span>M16</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M16</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">addr</td><td>)</td>
          <td>&#160;&#160;&#160;(*((<a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga9e9f2c67df0bbcd2dd7753693525ee07">vu16</a> *) (addr)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get a 16-bit unsigned value from specified address. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address to get 16-bit data from </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>16-bit unsigned value stored in specified address </dd></dl>
<dl class="section note"><dt>Note</dt><dd>The input address must be 16-bit aligned </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l09973">9973</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga0a55084dbbf73364945c75f214d3ac8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0a55084dbbf73364945c75f214d3ac8e">&#9670;&nbsp;</a></span>M32</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M32</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">addr</td><td>)</td>
          <td>&#160;&#160;&#160;(*((<a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga6e2761f0a1011f84ed96b946f2c8a563">vu32</a> *) (addr)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get a 32-bit unsigned value from specified address. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address to get 32-bit data from </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>32-bit unsigned value stored in specified address </dd></dl>
<dl class="section note"><dt>Note</dt><dd>The input address must be 32-bit aligned </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l09981">9981</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga371824fd5878ffb2f5e49373ba96b717"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga371824fd5878ffb2f5e49373ba96b717">&#9670;&nbsp;</a></span>M8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M8</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">addr</td><td>)</td>
          <td>&#160;&#160;&#160;(*((<a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#gaecf7c4189e2bd5ee7ac61f5639b1327a">vu8</a>  *) (addr)))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get a 8-bit unsigned value from specified address. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address to get 8-bit data from </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>8-bit unsigned value stored in specified address </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l09965">9965</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga976c6d91f40eb1fb654483c585526b7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga976c6d91f40eb1fb654483c585526b7d">&#9670;&nbsp;</a></span>outp16</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define outp16</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned short *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set a 16-bit unsigned value to specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to set 16-bit data </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Value to write to I/O port </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>The output port must be 16-bit aligned </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l10056">10056</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga9ddcd6a63c1b6379d0c0419c465222aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9ddcd6a63c1b6379d0c0419c465222aa">&#9670;&nbsp;</a></span>outp32</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define outp32</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned int *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set a 32-bit unsigned value to specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to set 32-bit data </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Value to write to I/O port </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>The output port must be 32-bit aligned </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l10039">10039</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga4037acccb11264f556403d714b09f2a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4037acccb11264f556403d714b09f2a5">&#9670;&nbsp;</a></span>outp8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define outp8</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned char *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set a 8-bit unsigned value to specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to set 8-bit data </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Value to write to I/O port </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l10072">10072</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gaad38305f3ef75a65aa0605fd43126e6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaad38305f3ef75a65aa0605fd43126e6e">&#9670;&nbsp;</a></span>outpb</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define outpb</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned char *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set a 8-bit unsigned value to specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to set 8-bit data </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Value to write to I/O port </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l10023">10023</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga7aecd53542aeebb08c0434c5aea82646"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7aecd53542aeebb08c0434c5aea82646">&#9670;&nbsp;</a></span>outps</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define outps</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned short *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set a 16-bit unsigned value to specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to set 16-bit data </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Value to write to I/O port </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>The output port must be 16-bit aligned </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l10007">10007</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga1a7f814366c290429d1d8d89848335e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1a7f814366c290429d1d8d89848335e4">&#9670;&nbsp;</a></span>outpw</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define outpw</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">port, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;*((<a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned int *)(port)) = <a class="el" href="semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set a 32-bit unsigned value to specified I/O port. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>Port address to set 32-bit data </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Value to write to I/O port </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>The output port must be 32-bit aligned </dd></dl>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l09990">9990</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="ga9e9f2c67df0bbcd2dd7753693525ee07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9e9f2c67df0bbcd2dd7753693525ee07">&#9670;&nbsp;</a></span>vu16</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned short <a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga9e9f2c67df0bbcd2dd7753693525ee07">vu16</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Define 16-bit unsigned volatile data type. </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l09957">9957</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga6e2761f0a1011f84ed96b946f2c8a563"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6e2761f0a1011f84ed96b946f2c8a563">&#9670;&nbsp;</a></span>vu32</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned long <a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#ga6e2761f0a1011f84ed96b946f2c8a563">vu32</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Define 32-bit unsigned volatile data type. </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l09958">9958</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gaecf7c4189e2bd5ee7ac61f5639b1327a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaecf7c4189e2bd5ee7ac61f5639b1327a">&#9670;&nbsp;</a></span>vu8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> unsigned char <a class="el" href="group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html#gaecf7c4189e2bd5ee7ac61f5639b1327a">vu8</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Define 8-bit unsigned volatile data type. </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l09956">9956</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:44 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
